CentOS 8 : firefox (CESA-2019:2663)

high Nessus Plugin ID 145625
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote CentOS host is missing one or more security updates.

Description

The remote CentOS Linux 8 host has a package installed that is affected by multiple vulnerabilities as referenced in the CESA-2019:2663 advisory.

- firefox: stored passwords in 'Saved Logins' can be copied without master password entry (CVE-2019-11733)

- Mozilla: Memory safety bugs fixed in Firefox 69 and Firefox ESR 68.1 (CVE-2019-11735)

- Mozilla: Content security policy bypass through hash-based sources in directives (CVE-2019-11738)

- Mozilla: Memory safety bugs fixed in Firefox 69, Firefox ESR 68.1, Firefox ESR 60.9, Thunderbird 68.1, and Thunderbird 60.9 (CVE-2019-11740)

- Mozilla: Same-origin policy violation with SVG filters and canvas to steal cross-origin images (CVE-2019-11742)

- Mozilla: Cross-origin access to unload event attributes (CVE-2019-11743)

- Mozilla: XSS by breaking out of title and textarea elements using innerHTML (CVE-2019-11744)

- Mozilla: Use-after-free while manipulating video (CVE-2019-11746)

- Mozilla: 'Forget about this site' removes sites from pre-loaded HSTS list (CVE-2019-11747)

- Mozilla: Persistence of WebRTC permissions in a third party context (CVE-2019-11748)

- Mozilla: Camera information available without prompting using getUserMedia (CVE-2019-11749)

- Mozilla: Type confusion in Spidermonkey (CVE-2019-11750)

- Mozilla: Use-after-free while extracting a key value in IndexedDB (CVE-2019-11752)

- Mozilla: Sandbox escape through Firefox Sync (CVE-2019-9812)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Update the affected firefox package.

See Also

https://access.redhat.com/errata/RHSA-2019:2663

Plugin Details

Severity: High

ID: 145625

File Name: centos8_RHSA-2019-2663.nasl

Version: 1.4

Type: local

Agent: unix

Published: 1/29/2021

Updated: 3/23/2021

Dependencies: ssh_get_info.nasl

Risk Information

CVSS Score Source: CVE-2019-11752

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: High

Base Score: 9.3

Temporal Score: 6.9

Vector: AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: High

Base Score: 8.8

Temporal Score: 7.7

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:centos:centos:8, p-cpe:/a:centos:centos:firefox

Required KB Items: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 9/4/2019

Vulnerability Publication Date: 8/14/2019

Reference Information

CVE: CVE-2019-9812, CVE-2019-11733, CVE-2019-11735, CVE-2019-11738, CVE-2019-11740, CVE-2019-11742, CVE-2019-11743, CVE-2019-11744, CVE-2019-11746, CVE-2019-11747, CVE-2019-11748, CVE-2019-11749, CVE-2019-11750, CVE-2019-11752

RHSA: 2019:2663